package com.izouma.nineth.dto.sumpay;

import com.alibaba.fastjson.annotation.JSONField;
import fosun.sumpay.merchant.integration.core.request.MerchantBaseRequest;
import lombok.Data;

@Data
public class RegisterQuery extends MerchantBaseRequest {

    private String partner_id;

    private String id_type;

    private String id_no;



    @JSONField(
            serialize = false
    )
    @Override
    public String[] getBase64EncodedWords() {
        return new String[]{"terminal_info", "longitude", "latitude"};
    }

    @JSONField(
            serialize = false
    )
    @Override
    public String[] getAesEncodedWords() {
        return new String[]{"id_no"};
    }

    @JSONField(
            serialize = false
    )
    @Override
    public String[] getCharsetChangeWords() {
        return new String[]{"terminal_info"};
    }


}
